*{
    padding: 0;
    margin: 0;
}
section li,
section p,
section button,
footer p,
footer ul li,
footer button{
        font-family: "Roboto", sans-serif;
        font-weight: 500;
        font-style:italic;
}

section h1,
section h2,
section h3{
        font-family: "Playfair Display", serif;
        font-optical-sizing: auto;
        font-weight: 900;
        font-style: normal;
}

header{
    /* font-family: ro; */
    background-color: rgb(37,36,36);
    color: rgb(193, 193, 193);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1em;
    font-size: smaller;
    /* z-index: 2; */
}

header ul li{
    list-style: none;
    margin: 5px;
    display: inline;
    color: rgb(206, 206, 206);
}

header ul li:hover{
    color: rgb(255, 255, 255);
    cursor: default;
}


header ul li a{
    color: rgb(206, 206, 206);
    transition: 0.5s ease-in-out;
}

header ul span{
    color: #ffffff;
}

header ul li a:hover{
    color: rgb(255, 255, 255);
}

header div{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: 20px;
}
header div a{
    color: white;
    margin: 5px;
    padding: 5px;
    transition: 0.2s ease-in-out;
}

header div a:hover{
    background-color: #835E00;
    margin: 5px;
    
}

nav{
    background-color: rgba(13, 13, 13, 1);
    padding: 20px;
    display: flex;
    color: white ;
    justify-content: space-evenly;
    align-items: center;
    /* width: 100%; */
    /* position: fixed; */
    /* z-index: 2; */
    
}

nav a img{
    margin: 0 50px 0 50px;
    width: 10vh;
    transition: 1s ease-in-out;
}
nav a img:hover{
    transform: scale(1.5);
}

nav li{
    display: inline;
    padding: 10px;
    font-size: larger;
    list-style: none;
    text-decoration: none;
}
nav ul li a{
    text-decoration: none;
    color: white;
    font-size: 1.5rem;
    transition: 0.5s ease-in-out
}

nav ul li a:visited{
    color: white;
}

nav ul li a:hover{
    color: #EDAC06;
    border-bottom: 1px solid #EDAC06;
}

.banniere {
    position: relative;
    height: 100vh;
    background: rgb(131, 94, 0);
    background: 
        linear-gradient(0deg, rgba(0, 0, 0, 0.9) 30%, rgba(131, 94, 0, 0.56) 100%);
    border-bottom: 5px solid #414141;
    display: flex;
    flex-direction: column;
    align-items: center ;
    justify-content: center;
    text-align: center;
    
}

.banniere-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

/* .element-txt{
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    position: relative;
} */

.banniere h1{
    color: #ffffff;
    font-size: 3.5rem;
    z-index: 1;
}

.photo {
    position: absolute;
    z-index: 1;
}

.photo11 {
    top: 20px;
    left: 20px;
}

.photo2 {
    top: 20px;
    right: 20px;
}

.photo3 {
    bottom: 20px;
    left: 20px;
}

.photo4 {
    bottom: 20px;
    right: 20px;
}

.photo img {
    width: 250px;
    height: 150px;
    border: 2px solid rgba(255, 255, 255, 0.253);
    margin: 20px;
    transition: 0.5s ease-in-out;
    opacity: 0.1;
}

.photo img:hover {
    opacity: 1;
    transform: scale(1.2);
    transition: 0.5s ease-in-out;
}

.fleche{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1;
    position: absolute;
    top: 80%;
    cursor: pointer;
}

.fleche button{
    margin: 20px;
    padding: 10px 20px;
    align-self: center;
    background-color: #FFB700;
    color: #000000;
    border: 3px solid #FFB700;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    font-size: 1rem;
}

.fleche button:hover{
    background-color: #00000063;
    color: #ffffff;
}

.fleche img{
    width: 50px;
    height: 50px;
    
    transition: 0.5s ease-in-out;
}

.fleche img:hover{
    transform: scale(1.2);
}

.excursion{
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 10%, rgba(131,94,0,1) 100%);
    border-bottom: 1px solid rgb(0, 0, 0);
}

/* .sous-titre{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.sous-titre hr{
    width: 50px;
} */
.titre{
    padding: 50px;
    font-size: 3rem;
    margin-left: 70px;
    color: white;
}

/* .titre u{
    margin: 5px;
    color: #FFB700;
    width: 25px;

} */
.excursion .texte {
    display: flex;
    justify-content: center;
    margin: 50px;
}

.excursion .texte p{
    width: 1420px;
    font-size: 25px;
    color: white;
    text-align: justify;
}

.images-excursion{
    margin-bottom: 100px;
}

.Loire {
    display: flex;
    justify-content: center;
    margin: 25px;
}

.Giverny {
    display: flex;
    justify-content: center;
    margin: 25px;
}

.image-top-bot{
    width: 1300px;
    height: 300px;
    border: 5px solid #ffffff;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s ease-in-out;
}

.imv1 img,
.imh1 img,
.image-top-bot img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s ease-in-out;
}

.image-top-bot h3 {
    position: absolute;
    color: white;
    font-size: 2.5rem;
    font-weight: bold;
    text-align: center;
    opacity: 1;
    transition: 0.5s ease-in-out;
}


.images-verticales,
.images-horizontales{
    display: flex;
    justify-content: center;
}

.imv1{
    width: 395px;
    height: 600px;
    border: 5px solid #ffffff;
    margin: 25px;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transition:  0.5s ease-in-out;

}

.imh1{
    width: 620px;
    height: 300px;
    border: 5px solid #ffffff;
    margin: 25px;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s ease-in-out;

}

.image-top-bot:hover,
.imh1:hover,
.imv1:hover{
    border-color: #a48024;
}

.imv1 h3,
.imh1 h3 {
    
    font-size: 2.5rem;
    position: absolute;
    color: white;
    font-weight: bold;
    text-align: center;
    padding: 10px;
    opacity: 1;
    transition: opacity 0.5s ease-in-out;
}

.survol-excursion{
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: #FFB700;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.survol-excursion p{
    margin: 0 25px;
    padding: 25px;
    font-size: 1.5rem;
}

.survol-excursion button{
    margin: 20px;
    padding: 10px 20px;
    align-self: center;
    background-color: #a48024;
    color: #ffffff;
    border: 3px solid #a48024;
    cursor: pointer;
}

.survol-excursion button:hover{
    background-color: #00000073;
    border: 3px solid #a48024;
    transition: 0.5s ease-in-out;
}

.image-top-bot:hover h3,
.imh1:hover h3,
.imv1:hover h3 {
    opacity: 0;
}

.image-top-bot:hover img,
.imh1:hover img,
.imv1:hover img {
    filter: blur(2px);
}

.image-top-bot:hover .survol-excursion,
.imh1:hover .survol-excursion,
.imv1:hover .survol-excursion {
    opacity: 1;
}


.nos-vehicules{
    background: 
        linear-gradient(180deg, rgba(0,0,0,0.5) 0%, rgba(131,94,0,0.75) 100%),
        url(../img/background-voiture/steering-wheel-7417390_1280.jpg) center center / cover no-repeat;
    border-bottom: 1px solid rgba(131,94,0,1);

}


.vehicules{
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 10px;
    margin: 50px;
}

.CarteDuVehicule{

    border: 5px solid #ffffff;
    width: 300px;
    height: 500px;
    margin: 25px;
    display: flex;
    text-align: center;
    flex-direction: column;
    transition: border 0.3s ease-in-out;
}

.CarteDuVehicule:hover{
    border: 5px solid #000000;
}

.CarteDuVehicule img{
   width: 100%;
   height: 50%;
   background-color: #EFEFED;
}



.information {
    background: #835E00;
    background-size: 100%;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    
}

.information h3{
    margin: 1.5rem;
    border-bottom:3px solid #BE8900;
}

.information li{
    list-style: none;
    margin: 0.5rem;
}

.information button{
    margin: 1.5rem 3rem;
    padding: 1rem 2rem ;
    color: #ffffff;
    background-color: rgb(0, 0, 0, 0.5);;
    border: 1px solid #78622A;
}

.information button:hover{
    /* margin: 1.5rem 3rem;
    padding: 1rem 2rem ; */
    color: #000000;
    background-color: rgba(255, 255, 255, 0.5);
    /* border: 1px solid #000000; */
    cursor: pointer;
    transition: 0.7s;
}

.nos-vehicules div p {
    display: flex;
    justify-content: center;
    text-align: center;
    color: #ffffff;
    font-size: 1.2rem;
    margin: 0 15vh;
    padding: 10px;
}

.reserver-vehicules{
    margin: 25px;
    margin-bottom: 50px;
    text-align: center;
}

.reserver-vehicules button{
    padding: 20px 50px;
    background-color: #00000050;
    color: #ffffff;
    border: 3px solid #a48024;
}
.reserver-vehicules button:hover{
    background-color: #a48024;
    cursor: pointer;
    transition: 0.7s;
}

.galerie{
    background: 
        linear-gradient(0deg, rgba(0,0,0,0.95) 37%, rgba(131,94,0,0.95) 100%),
        url(../img/tide-8382992_1280.jpg) center center / cover no-repeat;
        padding-bottom: 50px; /* Ajouté pour combler l'espace blanc */
}

.galerie-photo{
    margin: 50px 10px;
    display: flex;
    flex-direction: column;
    justify-content:center;
}

.rangee-de-photo{
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.photo1{
    width: 500px;
    height: 250px;
    border: 5px solid #a48024;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.photo1 img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    }

.survol-photo{
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    font-size: 1.5rem;
    background-color: #000000ce;
    color: #ffffff;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: 0.3s ease-in-out;
}

.photo1:hover .survol-photo{
    opacity: 1;
}

.contact{
    background-color: rgba(33, 33, 33, 1);
}
.contact-contenu {
    display: flex;
    padding: 25px 100px;
}

.contact-info {
    flex: 1;
    padding: 20px;
}

/* .contact-info .underline {
    width: 100px;
    height: 4px;
    background-color: #835E00;
    margin: 10px 0 20px 0;
} */

.contact-info h2 {
    font-size: 2rem;
    color: #b69326;
    margin-bottom: 20px;
}

.contact-info p {
    color: #ffffff;
    margin: 25px 0 ;
}

.contact-info .contact-details p {
    display: flex;
    align-items: center;
    margin: 10px 0;
}

.contact-details p a {
    color: #9B9595;
    text-decoration: none;
    transition: 0.5s ease-in-out;
}

.contact-details p a:hover{
    color: rgb(255, 255, 255);
    text-decoration: underline;
}



.formulaire {
    flex: 1;
    padding: 20px;
}

.formulaire form {
    display: flex;
    flex-direction: column;
}

.form-group {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

#prenom{
    margin-left: 15px;
}

.form-group input,
.form-group textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #444;
    background-color: #333;
    color: #fff;
}

.form-group input::placeholder,
.form-group textarea::placeholder {
    color: #bbb;
}

.form-group textarea {
    width: 100%;
    height: 100px;
    resize: none;
}

.contact button {
    width: 100%;
    padding: 15px;
    background-color: #7a5803;
    border: none;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    border: none ;
    transition: background-color 0.3s;
}

.contact button:hover {
    background-color: #b38a0a;
    color: #000000;
}

.CityTour{
    display: flex;
    flex-direction: column;
    background: rgba(21, 21, 21, 1);
    justify-content: center;
    text-align: center;
    align-items: center;

}
.CityTour div{
    margin: 100px;

}
.CityTour img{
    width: 150px;
    height: 150px;
}

.CityTour h2{
    margin: 25px 0 25px 0;
    color: #ffffff;
    font-size: 15px;
}

.CityTour p{
    color: #B3B3B3;
}

.pied-de-page {
    background-color: rgba(13, 13, 13, 1);
    color: white;
    padding: 20px 0;
}

.conteneur-footer {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 50px;
    margin: 25px;

}

.section-logo-contact,
.section-navigation,
.section-services,
.section-offres-speciales {
    flex: 1;
    margin: 10px;
}

.logo-footer {
    width: 150px;
    height: auto;
    margin-bottom: 20px;
}

.section-logo-contact ul,
.section-navigation ul,
.section-services ul {
    list-style: none;
    padding: 0;
}

.section-logo-contact ul li,
.section-navigation ul li,
.section-services ul li {
    margin: 5px 0;
}

.section-logo-contact ul li a,
.section-navigation ul li a,
.section-services ul li a {
    color: #9B9595;
    text-decoration: none;
    transition: 0.5s ease-in-out;
}

.section-logo-contact ul li a:hover,
.section-navigation ul li a:hover,
.section-services ul li a:hover{
    color: rgb(255, 255, 255);
    text-decoration: underline;
}

.section-offres-speciales form {
    display: flex;
    flex-direction: column;
}

.section-offres-speciales input,
.section-offres-speciales button {
    margin: 5px 0;
    padding: 10px;
    border: none;
}

.section-offres-speciales input {
    background-color: #333;
    color: white;
}

.section-offres-speciales button {
    background-color: #7a5803;
    color: rgb(255, 255, 255);
    cursor: pointer;
    border: none;
    font-size: 1rem;
    font-style:normal;
    transition: 0.5s ease-in-out;
}

.section-offres-speciales button:hover {
    background-color: #b38a0a;
    color: #000000;
}

.section-copyright {
    color: #ffffff;
    text-align: center;
    background-color: rgba(21, 21, 21, 1);
    padding: 20px;
    /* margin-top: 20px; */
    border: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.section-copyright div{
    display: flex;
    justify-content: space-evenly;
    margin-left: 15px;

}

.section-copyright div a{
    margin: 20px;
    color: #ffffff;
    transition: 0.5s ease-in-out;
}
.section-copyright div a:hover{
    transform: scale(1.5);
}


/* Bouton Back to Top */
#backToTopBtn {
    display: none; 
    position: fixed; 
    bottom: 20px; 
    right: 30px; 
    z-index: 3; 
    border: none; 
    outline: none; 
    background-color: #ffffff; 
    color: rgb(12, 12, 12); 
    cursor: pointer; 
    padding: 20px; 
    border-radius: 10px; 
    font-size: 18px; 
    transition: 0.5s ease-in-out;
}

#backToTopBtn:hover {
    background-color: #000000; 
    color: #EDAC06;
}

/* Styles par défaut pour le menu burger */
#menu-burger {
    display: none;
    font-size: 2rem;
    cursor: pointer;
}

/* Cacher les éléments de navigation par défaut sur petits écrans */
nav ul {
    display: flex;
    list-style: none;
}

@media screen and (max-width: 768px) {
    nav ul {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: rgba(13, 13, 13, 1);
    }
    
    nav ul li {
        text-align: center;
        padding: 10px 0;
    }

    /* Afficher le menu burger */
    #menu-burger {
        display: block;
    }

    /* Afficher le menu lorsqu'il est actif */
    nav ul.active {
        display: flex;
    }
}
